[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetCanvasScaleFactor

Gets the scaling factor for the canvas used to render the control.

## Declaration

Source position: controls.pp line 1666

`public function TControl.GetCanvasScaleFactor: Double;`

## Function result

Scaling factor applied to images drawn on the control Canvas.

## Description

GetCanvasScaleFactor is a Double function used to get the scaling factor for the Canvas in the control.

GetCanvasScaleFactor calls the corresponding method in the widgetset class to get the return value. For TControl and TWSControl, the return value is always 1.0. It may be overridden in descendent classes to use a value appropriate to the implementation.

GetCanvasScaleFactor is used in descendent classes when selecting a scalable image resolution for images and glyphs associated with a control.